Ethernet Switches & Routers

Reply
Occasional Contributor
Posts: 7
Registered: ‎01-11-2010

Getting error "ERR: This software needs License PROM to be installed in the system

Dears ,

I have the below files in my FGS642P switch flash ,when I tried to boot image FGL05002c.bin ,Im getting license error any Clues for this problem ?


Compressed Pri Code size = 3464956, Version 05.0.02cT7e1 (FGL05002c.bin)

Compressed Sec Code size = 1919636, Version 02.6.00T7e1 (fgs02600.bin)


FGS Boot Code Version 05.0.00

Enter 'b' to stop at boot ...

BOOT INFO: load monitor from primary, size = 103597

BOOT INFO: load image from primary...........

BOOT INFO: bootparam at 000545d8, mp_flash_size = 0034defc

BOOT INFO: code decompression completed

BOOT INFO: branch to 00400100

Starting Main Task ...

*****************************************************************************

ERR: This software needs License PROM to be installed in the system

*****************************************************************************

System Reset!

Occasional Contributor
Posts: 12
Registered: ‎06-18-2011

Re: Getting error "ERR: This software needs License PROM to be installed in the system

The fgs switches I operate will run fgs(layer 2 only) or fgl(base layer 3) but not fgsr(full layer 3).  I believe that any fgs switch should run fgs or fgl out of the box but must have an option license to run fgsr.

If it will boot fgs but not fgl you may have a hardware problem with the switch.  Maybe it is not seeing its License PROM that is need to run fgl?

Occasional Contributor
Posts: 18
Registered: ‎04-20-2010

Re: Getting error "ERR: This software needs License PROM to be installed in the system

hi;

5.0 and 5.1 software for FGS / FGL is a stacking switch software only.

it seems like you do not have stacking EPREM on this switch, thus you are not able to load the 5.X base layer or the Switch code.

please upgrade to 7.2.02 series, which dynamically support stacking and non stacking switches.

hope this help, else call TAC at 408-333-6061.

Occasional Contributor
Posts: 18
Registered: ‎04-20-2010

Re: Getting error "ERR: This software needs License PROM to be installed in the system

5.0 and 5.1 software for FGS / FGL is a stacking switch software only.

it seems like you do not have stacking EPREM on this switch, thus you are not able to load the 5.X base layer or the Switch code.

please upgrade to 7.2.02 series, which dynamically support stacking and non stacking switches.

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.

Download FREE NVMe eBook